aboutsummaryrefslogtreecommitdiff
path: root/test_automatic/start_test.sh
diff options
context:
space:
mode:
authorMrArmonius <mrarmonius@gmail.com>2021-07-07 01:49:33 +0200
committerMrArmonius <mrarmonius@gmail.com>2021-07-19 18:56:47 +0200
commita98556d5c1241f9150202d72ea096a775d97a582 (patch)
tree17825f52e0079e7eaa759a28951b9eb6fda6572e /test_automatic/start_test.sh
parentaa912b5ceb24cb8772709171ea9589b0771bbe54 (diff)
downloadbottin-a98556d5c1241f9150202d72ea096a775d97a582.tar.gz
bottin-a98556d5c1241f9150202d72ea096a775d97a582.zip
Test End-to-end V1.0, testing Bottin's behavior
Tests wrote in golang without framework Testing on the Bottin's behavior Tests made: - crated random Users and Group - LDAP ADD - check the match between Consul's data and Test's data- LDAP Search - modify attributes and check them - LDAP Modify
Diffstat (limited to 'test_automatic/start_test.sh')
-rwxr-xr-xtest_automatic/start_test.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/test_automatic/start_test.sh b/test_automatic/start_test.sh
new file mode 100755
index 0000000..38fe706
--- /dev/null
+++ b/test_automatic/start_test.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+trap "kill 0" EXIT
+
+export BOTTIN_DEFAULT_ADMIN_PW=$(openssl rand -base64 24)
+echo $BOTTIN_DEFAULT_ADMIN_PW
+consul agent -dev > /dev/null 2>&1 &
+sleep 2
+./bottin > /dev/null 2>&1 &
+sleep 1
+./test_automatic/integration